## gwenview 4.13.0

=== CMakeLists.txt ===
project(gwenview)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

find_package(KDE4 4.6.41 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

KDE4_NO_ENABLE_FINAL(gwenview)

## CMake options
set(GWENVIEW_SEMANTICINFO_BACKEND_NONE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO OFF)

set(GWENVIEW_SEMANTICINFO_BACKEND "Baloo" CACHE STRING "Semantic info backend for Gwenview (Baloo/Fake/None)")

# Init GWENVIEW_SEMANTICINFO_BACKEND_* vars
if (GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "None")
    set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
elseif (GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "Fake")
    set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE ON)
else()
    set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
endif()

## Dependencies
find_package(JPEG)
macro_log_feature(JPEG_FOUND "libjpeg" "JPEG image manipulation support" "http://libjpeg.sourceforge.net/" TRUE)

find_package(PNG)
macro_log_feature(PNG_FOUND "libpng" "PNG image manipulation support" "http://www.libpng.org" TRUE)

find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata support" "http://www.exiv2.org" TRUE "0.19")

macro_optional_find_package(Kipi)
macro_log_feature(KIPI_FOUND "libkipi" "Provides various image manipulation and export features" "http://www.kipi-plugins.org" FALSE)

find_package(LCMS2)
macro_log_feature(LCMS2_FOUND "LittleCMS" "Color management engine" "http://www.littlecms.com" TRUE "2.0")

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    # We need Baloo for all backends but "None"
    find_package(Baloo)
    macro_log_feature(Baloo_FOUND "Baloo Core Libraries" "Desktop-wide semantic information support" "https://projects.kde.org/projects/kde/kdelibs/baloo" TRUE)

    find_package(KFileMetaData CONFIG)
    macro_log_feature(KFileMetaData_FOUND "KFileMetaData Library" "A library for extracting file metadata" "https://projects.kde.org/kfilemetadata" TRUE)
endif()

find_package(LibKonq)
macro_log_feature(LIBKONQ_FOUND "libkonq" "Standard file management features" "http://www.kde.org" TRUE)

find_package(KActivities 6.1.0)
macro_log_feature(KActivities_FOUND "KActivities" "Activities interface library" "https://projects.kde.org/projects/kde/kdelibs/kactivities" TRUE "6.1.0")

find_package(Kdcraw 2.4.2)
macro_log_feature(KDCRAW_FOUND "libkdcraw" "KDE Dcraw library" "http://www.kde.org" TRUE "2.4.2")

## Global settings

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(
    ${QT_DEFINITIONS}
    ${QT_QTDBUS_DEFINITIONS}
    ${KDE4_DEFINITIONS}
    )

include_directories(
    ${QDBUS_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${EXIV2_INCLUDE_DIR}
    ${KDCRAW_INCLUDE_DIR}
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    include_directories(
        ${BALOO_INCLUDE_DIR}
        ${KFILEMETADATA_INCLUDE_DIR}
        )
endif()

## dirs to build
add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(importer)
add_subdirectory(part)
add_subdirectory(tests)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(cursors)
add_subdirectory(color-schemes)
add_subdirectory(doc)

configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)

macro_display_feature_log()

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR gwenview)

=== lib/CMakeLists.txt ===
project(gwenviewlib)

# Extract version of libjpeg so that we can use the appropriate dir
# See bug #227313
message(STATUS "Looking for libjpeg version in ${JPEG_INCLUDE_DIR}/jpeglib.h")
file(READ "${JPEG_INCLUDE_DIR}/jpeglib.h" jpeglib_h_content)
string(REGEX MATCH "#define +JPEG_LIB_VERSION +([0-9]+)" "\\1" jpeglib_version "${jpeglib_h_content}")
set(jpeglib_version ${CMAKE_MATCH_1})

if ("${jpeglib_version}" STREQUAL "")
    message(STATUS "No version defined in ${JPEG_INCLUDE_DIR}/jpeglib.h, looking for jconfig.h")
    # libjpeg-turbo keeps JPEG_LIB_VERSION in jconfig.h, not jpeglib.h :/
    find_file(JCONFIG_H jconfig.h
        PATHS "${JPEG_INCLUDE_DIR}"
        PATH_SUFFIXES "${CMAKE_LIBRARY_ARCHITECTURE}"
        )
    if (NOT EXISTS "${JCONFIG_H}")
        message(FATAL_ERROR "Could not find jconfig.h. This file comes with libjpeg. You can specify its path with -DJCONFIG_H=/path/to/jconfig.h.")
    endif()
    message(STATUS "Found jconfig.h: ${JCONFIG_H}")
    message(STATUS "Looking for libjpeg version in ${JCONFIG_H}")
    file(READ "${JCONFIG_H}" jconfig_h_content)
    string(REGEX MATCH "#define +JPEG_LIB_VERSION +([0-9]+)" "\\1" jpeglib_version "${jconfig_h_content}")
    set(jpeglib_version ${CMAKE_MATCH_1})
endif()

if ("${jpeglib_version}" LESS 80)
    set(GV_JPEG_DIR libjpeg-62)
endif()

if ("${jpeglib_version}" EQUAL 80)
    set(GV_JPEG_DIR libjpeg-80)
endif()

if ("${GV_JPEG_DIR}" STREQUAL "")
    message(FATAL_ERROR "Unknown libjpeg version: ${jpeglib_version}")
endif()

message(STATUS "libjpeg version: ${jpeglib_version}")

add_definitions(-Dlibjpeg_EXPORTS)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${EXIV2_INCLUDE_DIR}
    ${JPEG_INCLUDE_DIR}
    ${PNG_INCLUDE_DIRS}
    )

# For config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenviewlib_SRCS
    cms/iccjpeg.c
    cms/cmsprofile.cpp
    cms/cmsprofile_png.cpp
    contextmanager.cpp
    crop/cropwidget.cpp
    crop/cropimageoperation.cpp
    crop/croptool.cpp
    document/abstractdocumentimpl.cpp
    document/documentjob.cpp
    document/animateddocumentloadedimpl.cpp
    document/document.cpp
    document/documentfactory.cpp
    document/documentloadedimpl.cpp
    document/emptydocumentimpl.cpp
    document/jpegdocumentloadedimpl.cpp
    document/loadingdocumentimpl.cpp
    document/loadingjob.cpp
    document/savejob.cpp
    document/svgdocumentloadedimpl.cpp
    document/videodocumentloadedimpl.cpp
    documentview/abstractdocumentviewadapter.cpp
    documentview/abstractimageview.cpp
    documentview/abstractrasterimageviewtool.cpp
    documentview/birdeyeview.cpp
    documentview/documentview.cpp
    documentview/documentviewcontroller.cpp
    documentview/documentviewsynchronizer.cpp
    documentview/loadingindicator.cpp
    documentview/messageviewadapter.cpp
    documentview/rasterimageview.cpp
    documentview/rasterimageviewadapter.cpp
    documentview/svgviewadapter.cpp
    documentview/videoviewadapter.cpp
    about.cpp
    abstractimageoperation.cpp
    disabledactionshortcutmonitor.cpp
    documentonlyproxymodel.cpp
    documentview/documentviewcontainer.cpp
    binder.cpp
    eventwatcher.cpp
    historymodel.cpp
    archiveutils.cpp
    datewidget.cpp
    exiv2imageloader.cpp
    flowlayout.cpp
    fullscreenbar.cpp
    hud/hudbutton.cpp
    hud/hudbuttonbox.cpp
    hud/hudcountdown.cpp
    hud/hudlabel.cpp
    hud/hudmessagebubble.cpp
    hud/hudslider.cpp
    hud/hudtheme.cpp
    hud/hudwidget.cpp
    graphicswidgetfloater.cpp
    imageformats/imageformats.cpp
    imageformats/jpegplugin.cpp
    imageformats/jpeghandler.cpp
    imagemetainfomodel.cpp
    imagescaler.cpp
    imageutils.cpp
    invisiblebuttongroup.cpp
    iodevicejpegsourcemanager.cpp
    jpegcontent.cpp
    kindproxymodel.cpp
    semanticinfo/sorteddirmodel.cpp
    memoryutils.cpp
    mimetypeutils.cpp
    paintutils.cpp
    placetreemodel.cpp
    preferredimagemetainfomodel.cpp
    print/printhelper.cpp
    print/printoptionspage.cpp
    recursivedirmodel.cpp
    shadowfilter.cpp
    slidecontainer.cpp
    slideshow.cpp
    statusbartoolbutton.cpp
    redeyereduction/redeyereductionimageoperation.cpp
    redeyereduction/redeyereductiontool.cpp
    resize/resizeimageoperation.cpp
    resize/resizeimagedialog.cpp
    thumbnailprovider/thumbnailgenerator.cpp
    thumbnailprovider/thumbnailprovider.cpp
    thumbnailprovider/thumbnailwriter.cpp
    thumbnailview/abstractthumbnailviewhelper.cpp
    thumbnailview/abstractdocumentinfoprovider.cpp
    thumbnailview/contextbarbutton.cpp
    thumbnailview/dragpixmapgenerator.cpp
    thumbnailview/itemeditor.cpp
    thumbnailview/previewitemdelegate.cpp
    thumbnailview/thumbnailbarview.cpp
    thumbnailview/thumbnailslider.cpp
    thumbnailview/thumbnailview.cpp
    thumbnailview/tooltipwidget.cpp
    timeutils.cpp
    transformimageoperation.cpp
    urlutils.cpp
    widgetfloater.cpp
    zoomslider.cpp
    zoomwidget.cpp
    ${GV_JPEG_DIR}/transupp.c
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/abstractsemanticinfobackend.cpp
        semanticinfo/semanticinfodirmodel.cpp
        semanticinfo/tagitemdelegate.cpp
        semanticinfo/tagmodel.cpp
        semanticinfo/tagwidget.cpp
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_FAKE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/fakesemanticinfobackend.cpp
        )
endif()

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/baloosemanticinfobackend.cpp
        )
endif()

set_source_files_properties(
    exiv2imageloader.cpp
    imagemetainfomodel.cpp
    timeutils.cpp
    PROPERTIES
    COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
    )

kde4_add_ui_files(gwenviewlib_SRCS
    crop/cropwidget.ui
    documentview/messageview.ui
    print/printoptionspage.ui
    redeyereduction/redeyereductionwidget.ui
    resize/resizeimagewidget.ui
    )

kde4_add_kcfg_files(gwenviewlib_SRCS
    gwenviewconfig.kcfgc
    )

kde4_add_library(gwenviewlib SHARED ${gwenviewlib_SRCS})
set_target_properties(gwenviewlib PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
if (WIN32)
    set_target_properties(gwenviewlib PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
endif()

target_link_libraries(gwenviewlib
    ${KDE4_KFILE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_PHONON_LIBS}
    ${JPEG_LIBRARY}
    ${EXIV2_LIBRARIES}
    ${QT_QTOPENGL_LIBRARY}
    ${X11_X11_LIB}
    ${PNG_LIBRARIES}
    ${LCMS2_LIBRARIES}
    ${KDCRAW_LIBRARIES}
    )
if (WIN32)
    target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
endif()

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    target_link_libraries(gwenviewlib
        ${BALOO_LIBRARIES}
        )
endif()

install(TARGETS gwenviewlib ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
gwenview (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:36:29 +0100

gwenview (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:07:59 +0200

gwenview (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:54:42 +0100

gwenview (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Add baloo, kfilemetadata and libkdcraw as build dependencies

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Loose the pattern for the libgwenview version in gwenview.install
  * Add more documentation to install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:34:35 +0000

gwenview (4:4.12.3-0ubuntu1) trusty; urgency=medium

  [ Harald Sitter ]
  * Dep3 for kubuntu_install_kipi_plugins.patch

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:27:06 +0100

gwenview (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:35:53 +0000

gwenview (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:55:41 +0000

gwenview (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:23:39 +0000

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
 shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
 libkactivities-dev (>= 4:4.13.0), libpng-dev, liblcms2-dev,
 baloo-dev (>= 4:4.13.0), libkfilemetadata-dev (>= 4:4.13.0),
 libkdcraw-dev (>= 4:4.13.0)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera, qapt-batch
Suggests: svgpart
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

## gwenview 4.13.3

=== importer/CMakeLists.txt ===
project(importer)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${EXIV2_INCLUDE_DIR}
    )

set(importer_SRCS
    importerconfigdialog.cpp
    dialogpage.cpp
    documentdirfinder.cpp
    fileutils.cpp
    main.cpp
    importdialog.cpp
    importer.cpp
    progresspage.cpp
    filenameformater.cpp
    serializedurlmap.cpp
    thumbnailpage.cpp
    )

kde4_add_ui_files(importer_SRCS
    dialogpage.ui
    importerconfigdialog.ui
    progresspage.ui
    thumbnailpage.ui
    )

kde4_add_app_icon(importer_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-apps-gwenview-importer.png")

kde4_add_kcfg_files(importer_SRCS
    importerconfig.kcfgc
    )

kde4_add_executable(gwenview_importer ${importer_SRCS})

target_link_libraries(gwenview_importer
    ${KDE4_KFILE_LIBS}
    gwenviewlib
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QT_QTCORE_LIBRARY}
    )

target_link_libraries(gwenview_importer
    LINK_INTERFACE_LIBRARIES
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QT_QTCORE_LIBRARY}
    )

install(TARGETS gwenview_importer
    ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES gwenview_importer.desktop
    gwenview_importer_camera.desktop
    DESTINATION ${DATA_INSTALL_DIR}/solid/actions/)

=== tests/auto/CMakeLists.txt ===
macro(gv_add_unit_test _test)
    set(_src ${_test}.cpp ${ARGN})
    qt4_automoc(${_src})
    kde4_add_unit_test(${_test} ${_src})
    target_link_libraries(${_test}
        ${BALOO_LIBRARIES}
        ${KDE4_KIO_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KDECORE_LIBS}
        ${QT_QTTEST_LIBRARY}
        ${QT_QTCORE_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${KDCRAW_LIBRARIES}
        gwenviewlib)
endmacro(gv_add_unit_test)

include_directories(
    ${gwenview_SOURCE_DIR}
    ${importer_SOURCE_DIR}
    )

# For config-gwenview.h
include_directories(
    ${gwenview_BINARY_DIR}
    )

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

gv_add_unit_test(imagescalertest)
gv_add_unit_test(paintutilstest)
gv_add_unit_test(documenttest testutils.cpp)
gv_add_unit_test(transformimageoperationtest)
gv_add_unit_test(jpegcontenttest)
gv_add_unit_test(thumbnailprovidertest testutils.cpp)
if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    gv_add_unit_test(semanticinfobackendtest)
endif()
gv_add_unit_test(timeutilstest)
gv_add_unit_test(placetreemodeltest testutils.cpp)
gv_add_unit_test(urlutilstest)
gv_add_unit_test(historymodeltest)
gv_add_unit_test(importertest
    ${importer_SOURCE_DIR}/importer.cpp
    ${importer_SOURCE_DIR}/fileutils.cpp
    ${importer_SOURCE_DIR}/filenameformater.cpp
    )
gv_add_unit_test(sorteddirmodeltest testutils.cpp)
gv_add_unit_test(slidecontainerautotest slidecontainerautotest.cpp)
gv_add_unit_test(imagemetainfomodeltest testutils.cpp)
gv_add_unit_test(cmsprofiletest testutils.cpp)
gv_add_unit_test(recursivedirmodeltest testutils.cpp)
gv_add_unit_test(contextmanagertest testutils.cpp)

=== debian/changelog ===
gwenview (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:20:22 +0200

gwenview (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:47:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.3),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.13.0), libpng-dev, liblcms2-dev,
- baloo-dev (>= 4:4.13.0), libkfilemetadata-dev (>= 4:4.13.0),
+ libkactivities-dev (>= 4:4.13.3), libpng-dev, liblcms2-dev,
+ baloo-dev (>= 4:4.13.3), libkfilemetadata-dev (>= 4:4.13.3),
  libkdcraw-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=gwenview-dbg

## gwenview 4.14.1

=== debian/changelog ===
gwenview (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:26:39 +0200

gwenview (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:31:12 +0200

gwenview (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate
  * Remove obsolete nepomuk depend

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:10:14 +0200

gwenview (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 06:25:34 -0700

gwenview (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed version from libkactivities-dev depend as it has not been updated.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 11:42:08 -0700

gwenview (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Recompile to lose explicit baloo depends, now seeded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jul 2014 17:50:35 +0200

gwenview (4:4.13.2-0ubuntu1build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 15:43:50 +1200

gwenview (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Merge with Debian, remaining changes:
    - Add kubuntu_install_kipi_plugins.patch
    - Add missing depends for new version build

  [ Rohan Garg ]
  * Make sure gwenview still recommends qapt-batch

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:41:12 +0100

gwenview (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:36 +0200

gwenview (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:46 +0100

gwenview (4:4.12.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Maximiliano Curia ]
  * Build the unit tests.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:04 +0100

gwenview (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:39:40 +0100

gwenview (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 15:37:47 +0200

gwenview (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:37 +0200

gwenview (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 15:59:11 +0200

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               libexiv2-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkipi-dev (>= 4:4.14.1),
               libkonq5-dev (>= 4:4.14.1),
               liblcms2-dev,
               libpng-dev,
               libqt4-opengl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               baloo-dev (>= 4:4.14.1),
               libkfilemetadata-dev (>= 4:4.14.1),
               libkdcraw-dev (>= 4:4.14.1)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/gwenview.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera, qapt-batch
Suggests: svgpart
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

## gwenview 4.14.2

=== color-schemes/CMakeLists.txt ===
install(
    FILES fullscreen.colors
    DESTINATION ${DATA_INSTALL_DIR}/gwenview/color-schemes/
    )

=== debian/changelog ===
gwenview (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:16 +0200

gwenview (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 02:02:25 +0200

gwenview (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:46:43 +0200

gwenview (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 12:26:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: baloo-dev (>= 4.13),
+               cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                libexiv2-dev,
                libjpeg-dev,
-               libkactivities-dev,
-               libkipi-dev (>= 4:4.14.1),
-               libkonq5-dev (>= 4:4.14.1),
+               libkactivities-dev (>= 4:4.11),
+               libkdcraw-dev (>= 4:4.13),
+               libkfilemetadata-dev (>= 4:4.13),
+               libkipi-dev (>= 4:4.11),
+               libkonq5-dev (>= 4:4.11),
                liblcms2-dev,
                libpng-dev,
                libqt4-opengl-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               baloo-dev (>= 4:4.14.1),
-               libkfilemetadata-dev (>= 4:4.14.1),
-               libkdcraw-dev (>= 4:4.14.1)
+               pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
@@ -34,7 +33,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera, qapt-batch
+Recommends: kamera
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/gwenview-([\d.]+).tar.xz

## gwenview 14.12.3

=== debian/changelog ===
gwenview (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:36:55 -0700

gwenview (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:41:00 -0800

gwenview (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 11 Dec 2014 15:22:21 -0800

gwenview (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 Port
    + Semantic backend (baloo) is not to be enabled for first release

  [ Philip Muškovac ]
  * New upstream release candidate.
  * Update Vcs urls for the new repository location.
  * Fix watch urls for new release location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 19:58:15 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev,
               libkf5kdelibs4support-dev,
               liblcms2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtscript5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/gwenview.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --dbg-package=gwenview-dbg

## gwenview 15.08.2

=== debian/changelog ===
gwenview (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:51:51 +0100

gwenview (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Adding libkipi-dev and libkdcraw-dev as build dependencies

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:11:36 +0100

gwenview (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Recommend kio-extras as gwenview uses for example the zip protocol to
    load zips directly. Additionally this is used in tests.
  * Make autopkgetests install recommends as we need various runtime bits to
    make the tests pass correctly

 -- Harald Sitter <sitter@kde.org>  Tue, 01 Sep 2015 14:12:42 +0200

gwenview (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 17:37:03 +0100

gwenview (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:29:30 +0100

gwenview (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:27:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: baloo-kf5-dev,
+               cmake,
                debhelper (>= 9),
                extra-cmake-modules,
                libexiv2-dev,
@@ -32,9 +33,7 @@
 Section: graphics
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
-Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera
+Recommends: kamera, kio-extras
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
  images.  It is capable of showing images in a full-screen slideshow view and
@@ -47,8 +46,6 @@
 Architecture: any
 Priority: extra
 Depends: gwenview (= ${binary:Version}), ${misc:Depends}
-Replaces: kdegraphics-dbg (<< 4:4.7.1~)
-Breaks: kdegraphics-dbg (<< 4:4.7.1~)
 Description: debugging symbols for the gwenview
  This package contains debugging files used to investigate problems with
  Gwenview.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: build-needed, needs-recommends
